Class List Method List File List

# Module: Haml::Filters::Preserve

Includes:
  Base
Defined in:
  lib/haml/filters.rb

## Overview

Inserts the filtered text into the template with whitespace preserved. `preserve`d blocks of text aren’t indented, and newlines are replaced with the HTML escape code for newlines, to preserve nice-looking output.

See Also:

- Helpers#preserve

## Instance Method Summary (collapse)

- - render(text)

### Methods included from Base

#compile, included, #internal_compile, #render_with_options

## Instance Method Details

### - render(text)

See Also:

- Base#render

    313
    314
    315

    # File 'lib/haml/filters.rb', line 313

    def render(text)
      Haml::Helpers.preserve text
    end